import request from '@/utils/request';

/**
 * 查询公司信息列表
 * @param query
 */
export function listCompany(query?: any) {
  return request({
    url: '/system/sysCompany/list',
    method: 'get',
    params: query
  });
}

/**
 * 获取公司信息详细
 * @param id
 */
export function getCompany(id: string | number) {
  return request({
    url: '/system/sysCompany/' + id,
    method: 'get'
  });
}
/**
 * 查询公司选项列表
 * @param query
 */
export function listCompanyOption(query?: any) {
  return request({
    url: '/system/sysCompany/option',
    method: 'get',
    params: query
  });
}
